package com.myapps.kafka;

import com.myapps.kafka.email.EmailService;
import com.myapps.kafka.producer.KafkaProducerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class TestController {

    @Autowired
    private KafkaProducerService producerService;

    @Autowired
    private EmailService emailService;

    @PostMapping("/send")
    public String sendMessage(@RequestBody String message) {
        producerService.sendMessage(message);
        return "Mensaje enviado: " + message;
    }


    @PostMapping("/send/email")
    public String sendMessageEmail(@RequestBody SimpleMailMessage simpleMailMessage) {
        return emailService.sendAlertEmailApi(simpleMailMessage);
    }
}
