package com.myapps.kafka.email;

import lombok.extern.slf4j.Slf4j;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.MailException;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class EmailService {

    private static final Logger log = LoggerFactory.getLogger(EmailService.class);
    @Autowired
    private JavaMailSender mailSender;

    public void sendAlertEmail(String to, String subject, String body) {
        try {
            log.info("Inicio envio de email: {}", body);
            SimpleMailMessage message = new SimpleMailMessage();
            message.setTo(to);
            message.setSubject(subject);
            message.setText(body);
            message.setFrom("tu_correo@outlook.com");

            mailSender.send(message);
            log.info("Finalizo envio de email: {}", body);
        } catch (MailException mailException) {
            log.error("MailException: {}", mailException.getMessage());
        }
    }

    public String sendAlertEmailApi(SimpleMailMessage message) {
        try {
            mailSender.send(message);
            log.info("Finalizo envio de email: {}", message.getText());
            return "OK";
        } catch (MailException mailException) {
            log.error("MailException: {}", mailException.getMessage());
            return "FAIL";
        }
    }

    public static void main(String[] args) {
        EmailService emailService= new EmailService();
        emailService.sendAlertEmail("miguel.claure@myapps.com.bo","hola","hola");

    }
}



